Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service
Interface ObjectPermissionService

All Known Implementing Classes:
  ObjectPermissionServiceImpl

    public interface ObjectPermissionService

Author:
  swood

Method Summary
`void` | `deleteObjectPermission(ExecutionContext context, ObjectPermission objPerm)`
`void` | `deleteObjectPermissionForObject(ExecutionContext context, java.lang.Object targetObject)`
`void` | `deleteObjectPermissionsForRecipient(ExecutionContext context, java.lang.Object recipient)`
`ObjectPermission` | `getObjectPermission(ExecutionContext context, ObjectPermission objPerm)`
`java.util.List` | `getObjectPermissionsForObject(ExecutionContext context, java.lang.Object targetObject)`
`java.util.List` | `getObjectPermissionsForObjectAndRecipient(ExecutionContext context, java.lang.Object targetObject, java.lang.Object recipient)`
`java.util.List` | `getObjectPermissionsForRecipient(ExecutionContext context, java.lang.Object recipient)`
`ObjectPermission` | `newObjectPermission(ExecutionContext context)`
`void` | `putObjectPermission(ExecutionContext context, ObjectPermission objPerm)`

Method Detail

### newObjectPermission

    ObjectPermission newObjectPermission(ExecutionContext context)

### getObjectPermission

    ObjectPermission getObjectPermission(ExecutionContext context,
                                         ObjectPermission objPerm)

### getObjectPermissionsForRecipient

    java.util.List getObjectPermissionsForRecipient(ExecutionContext context,
                                                    java.lang.Object recipient)

### getObjectPermissionsForObject

    java.util.List getObjectPermissionsForObject(ExecutionContext context,
                                                 java.lang.Object targetObject)

### getObjectPermissionsForObjectAndRecipient

    java.util.List getObjectPermissionsForObjectAndRecipient(ExecutionContext context,
                                                             java.lang.Object targetObject,
                                                             java.lang.Object recipient)

### putObjectPermission

    void putObjectPermission(ExecutionContext context,
                             ObjectPermission objPerm)

### deleteObjectPermission

    void deleteObjectPermission(ExecutionContext context,
                                ObjectPermission objPerm)

### deleteObjectPermissionForObject

    void deleteObjectPermissionForObject(ExecutionContext context,
                                         java.lang.Object targetObject)

### deleteObjectPermissionsForRecipient

    void deleteObjectPermissionsForRecipient(ExecutionContext context,
                                             java.lang.Object recipient)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.